#ifndef _Zeit_H
#define _Zeit_H

#include <stdint.h>

typedef struct {
	uint8_t Sekunden;
	uint8_t Minuten;
	uint8_t Stunden;
	uint8_t Tag;
	uint8_t Monat;
	uint16_t Jahr;
} Zeit_t;

typedef struct {
//	double JD0;
	double JD;
//	double JD0_J2000;
	double JD_J2000;
//	double T0_J2000;
	double T_J2000;
} JDatum_t;

extern uint8_t Monatstage[2][12];

uint8_t Schaltjahr( uint16_t Jahr );
JDatum_t JulianischesDatum( int16_t Jahr, int8_t Monat, int8_t Tag, int8_t Stunde, int8_t Minute, int8_t Sekunde );

#endif

